> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# TikTok Comments

> Extract TikTok comments — text, author, likes, replies — from a list of video URLs

`$0.4 / 1k comments`

Extract TikTok comments — text, author, likes, replies — from a list of video URLs

## Endpoint

`POST /api/v1/agents/tiktok/comments/run`

## Parameters

<ParamField body="urls" type="array" required>
  **List** · TikTok video URLs to scrape comments from. One per line.
</ParamField>

<ParamField body="commentsPerPost" type="integer" default={50}>
  **Number** · Top-level comments per video. Use 0 for all.
</ParamField>

<ParamField body="maxRepliesPerComment" type="integer" default={0}>
  **Number** · The maximum number of replies you want from a single comment. Use 0 for all.
</ParamField>

## Response columns

| Field               | Display name        | Type    |
| ------------------- | ------------------- | ------- |
| `videoUrl`          | Video URL           | url     |
| `commentText`       | Comment Text        | text    |
| `username`          | Username            | text    |
| `authorAvatar`      | Author Avatar       | url     |
| `posted`            | Posted              | text    |
| `likes`             | Likes               | number  |
| `replies`           | Replies             | number  |
| `pinned`            | Pinned              | boolean |
| `mentions`          | Mentions            | text    |
| `mentionNickname`   | Mention Nickname    | text    |
| `mentionProfileUrl` | Mention Profile URL | url     |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/tiktok/comments/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "urls": [
        "https://www.tiktok.com/@bellapoarch/video/6862153058223197445"
      ],
      "commentsPerPost": 100,
      "maxRepliesPerComment": 0,
      "resultsPerPage": 10
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/tiktok/comments/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "urls": [
          "https://www.tiktok.com/@bellapoarch/video/6862153058223197445"
      ],
      "commentsPerPost": 100,
      "maxRepliesPerComment": 0,
      "resultsPerPage": 10
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "videoUrl": "https://www.tiktok.com/@bellapoarch/video/6862153058223197445",
      "commentText": "UPDATE 2026;\nBella Poarch: 75M\nLeah halton: 77M",
      "username": "nina_12131213",
      "authorAvatar": "https://p19-common-sign.tiktokcdn-us.com/tos-maliva-avt-0068/0c0d5b2aab31b8ed19c83810dcfeccd7~tplv-tiktokx-cropcenter:100:100.jpg?dr=9640&refresh_token=20fade03&x-expires=1777723200&x-signature=4DjqVAQaypUvnKis%2B5vn16x0OLw%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast8",
      "posted": "2026-05-01T10:26:25.000Z",
      "likes": 22,
      "replies": 0,
      "pinned": false,
      "mentions": [
        "Bella Poarch:",
        "Leah halton:"
      ],
      "mentionNickname": null,
      "mentionProfileUrl": null
    }
  ]
}
```
